\FBMYSQL_CONFIG\FR(1)

NAME
mysql_config - get compile options for compiling clients

SYNOPSIS

mysql_config options

DESCRIPTION

mysql_config provides you with useful information for compiling your MySQL client and connecting it to MySQL.

mysql_config supports the following options:

•   --cflags

    Compiler flags to find include files and critical compiler flags and defines used when compiling the libmysqlclient library.

•   --include

    Compiler options to find MySQL include files. (Note that normally you would use --cflags instead of this option.)

•   --libmysqld-libs, --embedded

    Libraries and options required to link with the MySQL embedded server.

•   --libs

    Libraries and options required to link with the MySQL client library.

•   --libs_r

    Libraries and options required to link with the thread-safe MySQL client library.

•   --port

    The default TCP/IP port number, defined when configuring MySQL.

•   --socket

    The default Unix socket file, defined when configuring MySQL.

•   --version

    Version number for the MySQL distribution.

If you invoke mysql_config with no options, it displays a list of all options that it supports, and their values:

shell> mysql_config
Usage: /usr/local/mysql/bin/mysql_config [options]
Options:
  --cflags         [-I/usr/local/mysql/include/mysql -mcpu=pentiumpro]
  --include        [-I/usr/local/mysql/include/mysql]
  --libs           [-L/usr/local/mysql/lib/mysql -lmysqlclient -lz
                    -lcrypt -lnsl -lm -L/usr/lib -lssl -lcrypto]
  --libs_r         [-L/usr/local/mysql/lib/mysql -lmysqlclient_r
                    -lpthread -lz -lcrypt -lnsl -lm -lpthread]
  --socket         [/tmp/mysql.sock]
  --port           [3306]
  --version        [4.0.16]
  --libmysqld-libs [-L/usr/local/mysql/lib/mysql -lmysqld -lpthread -lz
                    -lcrypt -lnsl -lm -lpthread -lrt]

You can use mysql_config within a command line to include the value that it displays for a particular option. For example, to compile a MySQL client program, use mysql_config as follows:

shell> CFG=/usr/local/mysql/bin/mysql_config
shell> sh -c "gcc -o progname `$CFG --cflags` progname.c `$CFG --libs`"

When you use mysql_config this way, be sure to invoke it within backtick (‘`’) characters. That tells the shell to execute it and substitute its output into the surrounding command.

SEE ALSO
isamchk(1), isamlog(1), msql2mysql(1), myisam_ftdump(1), myisamchk(1), myisamlog(1), myisampack(1), mysql(1), mysql.server(1), mysql_explain_log(1), mysql_fix_privilege_tables(1), mysql_zap(1), mysqlaccess(1), mysqladmin(1), mysqlbinlog(1), mysqlcheck(1), mysqld(1), mysqld_multi(1), mysqld_safe(1), mysqldump(1), mysqlhotcopy(1), mysqlimport(1), mysqlshow(1), pack_isam(1), perror(1), replace(1), safe_mysqld(1)

For more information, please refer to the MySQL Reference Manual, which may already be installed locally and which is also available online at http://dev.mysql.com/doc/.

AUTHOR
MySQL AB (http://www.mysql.com/). This software comes with no warranty.